name: plugin_basic
description: 基础包，原生的封装控件，扩展控件，自定义控件等。

version: 1.0.0

environment:
  sdk: '>=3.0.2 <4.0.0'

dependencies:

  flutter_localizations:
    sdk: flutter

  flutter:
    sdk: flutter

  cupertino_icons: ^1.0.2

  shared:
    path: ../cs_shared

  router:
    path: ../cs_router

  widgets:
    path: ../cs_widgets

  cs_resources:
    path: ../cs_resources

  domain:
    path: ../cs_domain

  plugin_platform:
    path: ../cs_plugin_platform

  # Riverpod核心库
  flutter_riverpod: ^2.5.1

  # Riverpod注解
  riverpod_annotation: ^2.3.5

  # Hooks 简化 Flutter 页面
  flutter_hooks: ^0.20.5

  # Hooks 简化 Riverpod 获取
  hooks_riverpod: ^2.5.1

  # package_info 应用相关信息
  package_info_plus: 8.0.2

  # 获取当前设备信息 https://github.com/fluttercommunity/plus_plugins/tree/main/packages/device_info_plus
  device_info_plus: 10.0.1

  # 跳转应用处理 https://github.com/flutter/plugins/tree/master_archive/packages/url_launcher/url_launcher
  # 例如：拨打电话，发送短信，发送邮件，跳转Whatsapp，打开本地文件等操作
  url_launcher: 6.3.0

  #  分享 https://plus.fluttercommunity.dev/docs/share_plus/usage
  share_plus: 7.1.0

  # 显示隐藏监听，声明周期监听
  visibility_detector: ^0.4.0+2

dev_dependencies:
  flutter_test:
    sdk: flutter

  flutter_lints: ^4.0.0

  # Dart代码生成文件
  build_runner: ^2.4.12

  # Riverpod代码生成器
  riverpod_generator: ^2.4.3

  # 专为Riverpod设计的一套lint规则
  riverpod_lint: ^2.3.13

  # AutoRouter 生成代码
  auto_route_generator: ^8.0.0

flutter:
  uses-material-design: true
